import QtQuick 2.0
import QtQuick.Controls 2.5
import QtQuick.Layouts 1.15
import org.kde.plasma.core as PlasmaCore
import org.kde.plasma.components as PlasmaComponents
import org.kde.kirigami as Kirigami
import org.kde.kquickcontrols as KQControls
import org.kde.kcmutils as KCM

import "../lib/helper.js" as Helper

KCM.SimpleKCM {
  id: root

  property alias cfg_debug_active: debug_active.checked
  property alias cfg_debug_charge: debug_charge.value

  Kirigami.FormLayout {
    anchors.fill: parent
    wideMode: false

    GridLayout {
      columns: 3
      rows: 2
      rowSpacing: 10

      // first row
      Text {
        text: "debug:"
        color: PlasmaCore.Theme.textColor
      }
      PlasmaComponents.CheckBox {
        id: debug_active
      }
      Text {
        text: ""
      }

      // second row
      Text {
        text: "battery charge:"
        color: PlasmaCore.Theme.textColor
      }
      Slider {
        id: debug_charge
        value: 0
        from: -2
        to: 100
        stepSize: 1
      }
      Text {
        text: cfg_debug_charge + "%"
        color: PlasmaCore.Theme.textColor
      }
    }

  }
}
