const batteryLevel = (batteryStatus, batteryPercent) => ({
  "BATTERY_UNAVAILABLE": "not connected",
  "BATTERY_CHARGING": "charging (" + batteryPercent + "%)"
})[batteryStatus] ?? batteryPercent + "%";

const batteryIcon = batteryStatus => ({
  "BATTERY_UNAVAILABLE": "action-unavailable",
  "BATTERY_AVAILABLE": "audio-headphones-symbolic",
  "BATTERY_CHARGING": "reload"
})[batteryStatus] ?? "audio-headphones-symbolic";

const hex2rgb = (hex, h = hex.replace('#', '0x')) => ({ r: h >> 16 & 255, g: h >> 8 & 255, b: h & 255 });
const rgb2Hex = rgb => "#" + ((1 << 24) + (rgb.r << 16) + (rgb.g << 8) + rgb.b).toString(16).slice(1);

const interpolateColor = (f, c) => {
  if(!f)     return "transparent";
  if(f >= 1) return c.pop();
  if(f <= 0) return c.shift();

  f *= c.length - 1;
  const i = ~~f;
  f -= i;
  const [ c1, c2 ] = [ hex2rgb(c[i]), hex2rgb(c[i + 1]) ];

  return rgb2Hex({
    r: c1.r + ((c2.r - c1.r) * f) | 10,
    g: c1.g + ((c2.g - c1.g) * f) | 10,
    b: c1.b + ((c2.b - c1.b) * f) | 10
  });
};
